Index: palm/trunk/SCRIPTS/.palm.config.aurora
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.aurora	(revision 4370)
+++ palm/trunk/SCRIPTS/.palm.config.aurora	(revision 4370)
@@ -0,0 +1,61 @@
+#$Id$
+#column 1          column 2
+#name of variable  value of variable (~ must not be used)
+#----------------------------------------------------------------------------
+%base_data         ~/palm/current_version/JOBS
+%base_directory    $HOME/palm/current_version
+%fast_io_catalog   /scratch/<replace by LUIS username>
+%source_path       $HOME/palm/current_version/trunk/SOURCE
+%user_source_path  $base_directory/JOBS/$run_identifier/USER_CODE
+%local_jobcatalog  $HOME/job_queue
+#
+%local_ip            130.75.7.130
+%local_username      <replace by LUIS username>
+%compiler_name       mpinfort
+%compiler_name_ser   mpinfort
+%cpp_options         -fpp -D__parallel -D__nec -D__netcdf -D__netcdf4 -D__netcdf4_parallel -D__fftw -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION
+%make_options        -j 4
+%compiler_options    -O3 -traceback -finline-functions -g -report-all -Werror -I /home/nhbkklau/opt/NetCDF_parallel_nec/include -I /home/nhbkklau/opt/fftw3_nec/include
+%linker_options      -L/home/nhbkklau/opt/NetCDF_parallel_nec/lib -lnetcdff -lnetcdf -Wl,-rpath=/home/nhbkklau/opt/NetCDF_parallel_nec/lib -L/home/nhbkklau/opt/hdf5_parallel_nec/lib -lhdf5 -lhdf5_hl -Wl,-rpath=/home/nhbkklau/opt/hdf5_parallel_nec/lib -L/home/nhbkklau/opt/fftw3_nec/lib -lfftw3 -lmpi
+#%hostfile            auto
+%defaultqueue        all
+%submit_command      /usr/bin/qsub
+%memory              2000
+%login_init_cmd      source /opt/nec/ve/mpi/2.2.0/bin/necmpivars.sh
+%execute_command     mpirun -v -ve 0-3  -np {{mpi_tasks}}  ./palm
+#
+#----------------------------------------------------------------------------
+# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+#----------------------------------------------------------------------------
+#IC:ulimit -s unlimited
+#
+#----------------------------------------------------------------------------
+# ERROR-commands - executed when program terminates abnormally
+#----------------------------------------------------------------------------
+EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
+EC:[[ \$locat = execution ]]  &&  cat  PARTICLE_INFOS/*
+#
+#----------------------------------------------------------------------------
+# OUTPUT-commands - executed when program terminates normally
+#----------------------------------------------------------------------------
+#
+# Combine 1D- and 3D-profile output (these files are not usable for plotting)
+OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
+OC:[[ -f LIST_PROFIL        ]]  &&  cat  LIST_PROFIL     >>  LIST_PROFILE
+#
+# Combine all particle information files
+OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
+#
+# BATCH-directives to be used for batch jobs.
+# ATTENTION: The batch following batch directives still need to be adjusted for the
+#            NEC Aurora system!!!!!!!!!!!!!!
+BD:#!/bin/bash
+BD:#PBS -N {{run_id}}
+BD:#PBS -l walltime={{cpu_hours}}:{{cpu_minutes}}:{{cpu_seconds}}
+BD:#PBS -l ncpus={{cores}}
+BD:#PBS -l nodes={{nodes}}:ppn={{tasks_per_node}}
+BD:#PBS -l mem={{memory}}mb
+BD:#PBS -W x=PARTITION:lena
+BD:#PBS -o {{job_protocol_file}}
+BD:#PBS -j oe
+BD:#PBS -q {{queue}}
Index: palm/trunk/SCRIPTS/.palm.config.aurora_debug
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.aurora_debug	(revision 4370)
+++ palm/trunk/SCRIPTS/.palm.config.aurora_debug	(revision 4370)
@@ -0,0 +1,64 @@
+#$Id$
+#column 1          column 2
+#name of variable  value of variable (~ must not be used)
+#----------------------------------------------------------------------------
+%base_data         ~/palm/current_version/JOBS
+%base_directory    $HOME/palm/current_version
+%fast_io_catalog   /scratch/<replace by LUIS username>
+%source_path       $HOME/palm/current_version/trunk/SOURCE
+%user_source_path  $base_directory/JOBS/$run_identifier/USER_CODE
+%local_jobcatalog  $HOME/job_queue
+#
+%local_ip            130.75.7.130
+%local_username      <replace by LUIS username>
+%compiler_name       mpinfort
+%compiler_name_ser   mpinfort
+%cpp_options         -fpp -D__parallel -D__netcdf -D__netcdf4 -D__netcdf4_parallel -D__fftw -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION
+%make_options        -j 4
+%compiler_options    -O0 -fcheck=all -traceback -ftrace -proginf -report-all -g -Werror -fdiag-vector=0  -I /home/nhbkklau/opt/NetCDF_parallel_nec/include -I /home/nhbkklau/opt/fftw3_nec/include
+%linker_options      -ftrace -L/home/nhbkklau/opt/NetCDF_parallel_nec/lib -lnetcdff -lnetcdf -Wl,-rpath=/home/nhbkklau/opt/NetCDF_parallel_nec/lib -L/home/nhbkklau/opt/hdf5_parallel_nec/lib -lhdf5 -lhdf5_hl -Wl,-rpath=/home/nhbkklau/opt/hdf5_parallel_nec/lib -L/home/nhbkklau/opt/fftw3_nec/lib -lfftw3 -lmpi
+#%hostfile            auto
+%defaultqueue        all
+%submit_command      /usr/bin/qsub
+%memory              2000
+%login_init_cmd      source /opt/nec/ve/mpi/2.2.0/bin/necmpivars.sh
+%execute_command     mpirun -v -ve 0  -np {{mpi_tasks}}  ./palm
+#
+#----------------------------------------------------------------------------
+# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+#----------------------------------------------------------------------------
+#IC:ulimit -s unlimited
+IC:export VE_ERRCTL_DEALLOCATE=ABORT
+IC:export VE_FPE_ENABLE=DIV,FOF,INV
+IC:export VE_TRACEBACK=ALL
+#
+#----------------------------------------------------------------------------
+# ERROR-commands - executed when program terminates abnormally
+#----------------------------------------------------------------------------
+EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
+EC:[[ \$locat = execution ]]  &&  cat  PARTICLE_INFOS/*
+#
+#----------------------------------------------------------------------------
+# OUTPUT-commands - executed when program terminates normally
+#----------------------------------------------------------------------------
+#
+# Combine 1D- and 3D-profile output (these files are not usable for plotting)
+OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
+OC:[[ -f LIST_PROFIL        ]]  &&  cat  LIST_PROFIL     >>  LIST_PROFILE
+#
+# Combine all particle information files
+OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
+#
+# BATCH-directives to be used for batch jobs.
+# ATTENTION: The batch following batch directives still need to be adjusted for the
+#            NEC Aurora system!!!!!!!!!!!!!!
+BD:#!/bin/bash
+BD:#PBS -N {{run_id}}
+BD:#PBS -l walltime={{cpu_hours}}:{{cpu_minutes}}:{{cpu_seconds}}
+BD:#PBS -l ncpus={{cores}}
+BD:#PBS -l nodes={{nodes}}:ppn={{tasks_per_node}}
+BD:#PBS -l mem={{memory}}mb
+BD:#PBS -W x=PARTITION:lena
+BD:#PBS -o {{job_protocol_file}}
+BD:#PBS -j oe
+BD:#PBS -q {{queue}}
Index: palm/trunk/SCRIPTS/create_basic_static_driver.py
===================================================================
--- palm/trunk/SCRIPTS/create_basic_static_driver.py	(revision 4311)
+++ palm/trunk/SCRIPTS/create_basic_static_driver.py	(revision 4370)
@@ -14,5 +14,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2019 Leibniz Universitaet Hannover
+# Copyright 1997-2020 Leibniz Universitaet Hannover
 #------------------------------------------------------------------------------#
 
Index: palm/trunk/SCRIPTS/document_changes
===================================================================
--- palm/trunk/SCRIPTS/document_changes	(revision 4311)
+++ palm/trunk/SCRIPTS/document_changes	(revision 4370)
@@ -15,5 +15,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2019 Leibniz Universitaet Hannover
+# Copyright 1997-2020 Leibniz Universitaet Hannover
 #------------------------------------------------------------------------------#
 #
